summaryrefslogtreecommitdiffstats
path: root/tools/haskell-platform/cabal-install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/haskell-platform/cabal-install.sh')
-rw-r--r--tools/haskell-platform/cabal-install.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tools/haskell-platform/cabal-install.sh b/tools/haskell-platform/cabal-install.sh
new file mode 100644
index 0000000..fdcf006
--- /dev/null
+++ b/tools/haskell-platform/cabal-install.sh
@@ -0,0 +1,8 @@
+CABALBIN=${HOME}/.cabal/bin
+
+if ! echo ${PATH} | /bin/grep -q ${CABALBIN} ; then
+ if [ -d ${CABALBIN} ]; then
+ PATH=${PATH}:${CABALBIN}
+ fi
+fi
+unset CABALBIN